
//#define EXTERN

#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdarg.h>

#include "config.h"		//Einstellungen laden
#include "SPI.h"		//Funktion fr SPI-Benutzung
#include "ADC.h"		//Funktion fr ADC-Benutzung
#include "LCD232.h"		//Funktion fr LCD-Benutzung
#include "DAC.h"		//Funktion fr DAC-Benutzung
#include "timer.h"		//Funktion fr DAC-Benutzung
#include "Testo.h"		//Funktion fr TESTO-Benutzung
#include "FUG.h"		//Funktion fr FUG-Benutzung
#include "SINGLE.h"		//Funktion fr SINGLE-Benutzung
#include "Gateswitch.h"	//Funktionnen fr die Gate-Switch-Umschaltung

	volatile unsigned int temp;
	volatile unsigned char STATE_LCD =1;



//volatile int d=0; 
void main(void)
{
unsigned char i=0,Data[10];
unsigned char b,l=0,RetCode=0;
unsigned int DezPoint=0,Count_I=0;
unsigned int a,Voltage_aktP,Voltage_aktVD;
unsigned char STATE_MASCHINE;

float t;
 long k;
//set_SS();


init_timer_ADC();
DDRD = 0x0; // ff
//PORTD = 0x0;   //ff
//EICRA = (1<<ISC01)|(0<<ISC00);
//EIMSK = (1<<INT0);	// Enable IRQ for LCD


InitUART_FUG();
InitUART_LCD();
InitUART_SINGLE();
DDRA = 0xff;
DDRC = 0xff;
DDRE = 0x00;		//DRDY Eingnge
DDRD = 0x00;		

  init_Gateswitch();

set_Gateswitch(IGATE1);

init_Testo();
SPI_MasterInit();




sei();

SPI_MasterTransmit(0xff,7);
set_FUG();
Current_FUG(500);
Voltage_FUG(35000);

//set_ADC(CH0);  // 0 OK!

i =1;	
	while(1)
	{
	set_Output_I(500);
	delay_timer(10);
	
	
	set_Output_I(00);
	

	b=get_Return_Code_LCD();
	
	switch (b)
		{
		case 82	: 
			show_content(50,50,'F');
		
		break;
		
		case 83	: 
			show_content(50,50,'T');
		
		break;

		default: show_content(80,50,'K');
				
		break;
		}

		
	delay_timer(500);
	
	}
	
}

/*
ISR(INT0_vect)
{
	STATE_LCD ^=1;
	
}
*/


 
